package vip.xiaonuo.production.controller;


import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionEnergy;
import vip.xiaonuo.production.entity.ProductionReceive;
import vip.xiaonuo.production.param.ProductionEnergyParam;
import vip.xiaonuo.production.param.ProductionReceiveParam;
import vip.xiaonuo.production.service.IProductionReceiveService;

import java.util.List;

/**
 * <p>
 * 生成管控收率情况 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
@RestController
@Api(tags = "生成管控收率情况")
@ApiSupport(author = "wang", order = 1)
@Validated
public class ProductionReceiveController {

    @Autowired
    private IProductionReceiveService receiveService;

    @PostMapping("/production-receive/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("生成管控收率情况列表")
    public CommonResult<List<ProductionReceive>> getList(@RequestBody ProductionReceiveParam receiveParam) {
        return CommonResult.data(receiveService.getList(receiveParam));
    }
}
