package vip.xiaonuo.quality.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.quality.entity.QualityEffectice;
import vip.xiaonuo.quality.entity.QualityManufacturer;
import vip.xiaonuo.quality.param.QualityEffectiveParam;
import vip.xiaonuo.quality.param.QualityManufacturerParam;
import vip.xiaonuo.quality.service.IQualityEffecticeService;

/**
 * <p>
 * 质量管控物料有效期 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@RestController
@Api(tags = "质量管控物料有效期")
@ApiSupport(author = "wang", order = 1)
@Validated
public class QualityEffecticeController {

    @Autowired
    private IQualityEffecticeService effecticeService;

    @PostMapping("/quality-effectice/listPage")
    @ApiOperationSupport(order = 1)
    @ApiOperation("质量管控物料有效期列表")
    public CommonResult<Page<QualityEffectice>> listPage(@RequestBody QualityEffectiveParam effectiveParam) {
        return CommonResult.data(effecticeService.listPage(effectiveParam));
    }

}
