package vip.xiaonuo.quality.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.quality.entity.QualityManufacturer;
import vip.xiaonuo.quality.param.QualityManufacturerParam;
import vip.xiaonuo.quality.service.IQualityManufacturerService;

/**
 * <p>
 * 厂商质量级别评估 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@RestController
@Api(tags = "厂商质量级别评估")
@ApiSupport(author = "wang", order = 1)
@Validated
public class QualityManufacturerController {

    @Autowired
    private IQualityManufacturerService manufacturerService;

    @PostMapping("/quality-manufacturer/listPage")
    @ApiOperationSupport(order = 1)
    @ApiOperation("厂商质量级别评估列表")
    public CommonResult<Page<QualityManufacturer>> listPage(@RequestBody QualityManufacturerParam manufacturerParam) {
        return CommonResult.data(manufacturerService.listPage(manufacturerParam));
    }
}
