package vip.xiaonuo.quality.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 质量管控指标
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("quality_target")
public class QualityTarget implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 来料不合格批次
     */
    @ApiModelProperty(value = "来料不合格批次",position =1 )
    private String unqualifiedBatch;

    /**
     * 来料不良率
     */
    @ApiModelProperty(value = "来料不良率",position =2 )
    private String defectiveRate;

    /**
     * 成品一次合格率
     */
    @ApiModelProperty(value = "成品一次合格率",position =3 )
    private String produceOneRate;

    /**
     * 成品合格率
     */
    @ApiModelProperty(value = "成品合格率",position =4 )
    private String produceRate;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =6 )
    private String orgId;


}
