package vip.xiaonuo.risk.controller;


import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.risk.entity.RiskSupplier;
import vip.xiaonuo.risk.entity.RiskTarget;
import vip.xiaonuo.risk.param.RiskParam;
import vip.xiaonuo.risk.param.RiskSupplierParam;
import vip.xiaonuo.risk.service.IRiskTargetService;

import java.util.List;

/**
 * <p>
 * 风控指标 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-09
 */
@RestController
@Api(tags = "风控指标")
@ApiSupport(author = "wang", order = 1)
@Validated
public class RiskTargetController {

    @Autowired
    private IRiskTargetService targetService;


    @ApiOperation("风控指标卡")
    @PostMapping("/risk-target/getOneRisk")
    public CommonResult<RiskTarget> getOneRisk(@RequestBody RiskParam riskParam) {
        return CommonResult.data(targetService.getOneRisk(riskParam));
    }
}
