package vip.xiaonuo.sale.controller;


import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.sale.entity.SaleOrder;
import vip.xiaonuo.sale.entity.SalePrice;
import vip.xiaonuo.sale.param.SaleOrderParam;
import vip.xiaonuo.sale.param.SalePriceParam;
import vip.xiaonuo.sale.service.ISaleOrderService;

import java.util.List;

/**
 * <p>
 * 销售订单 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@RestController
@Api(tags = "销售订单")
@ApiSupport(author = "wang", order = 1)
@Validated
public class SaleOrderController {

    @Autowired
    private ISaleOrderService orderService;

    @PostMapping("/sale-order/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("销售订单列表")
    public CommonResult<List<SaleOrder>> getList(@RequestBody SaleOrderParam saleOrderParam) {
        return CommonResult.data(orderService.getList(saleOrderParam));
    }
}
