/*
 * Copyright [2022] [https://www.baiduc.com]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.baiduc.com
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.baiduc.com
 */
package vip.xiaonuo.sale.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.sale.entity.ErpBaseMaterial;
import vip.xiaonuo.sale.param.ErpBaseMaterialAddParam;
import vip.xiaonuo.sale.param.ErpBaseMaterialEditParam;
import vip.xiaonuo.sale.param.ErpBaseMaterialIdParam;
import vip.xiaonuo.sale.param.ErpBaseMaterialPageParam;

import java.util.List;

/**
 * erp_base_materialService接口
 *
 * @author 1
 * @date  2025/02/18 13:54
 **/
public interface ErpBaseMaterialService extends IService<ErpBaseMaterial> {

    /**
     * 获取erp_base_material分页
     *
     * @author 1
     * @date  2025/02/18 13:54
     */
    Page<ErpBaseMaterial> page(ErpBaseMaterialPageParam erpBaseMaterialPageParam);

    /**
     * 添加erp_base_material
     *
     * @author 1
     * @date  2025/02/18 13:54
     */
    CommonResult<String> add(ErpBaseMaterialAddParam erpBaseMaterialAddParam);

    /**
     * 编辑erp_base_material
     *
     * @author 1
     * @date  2025/02/18 13:54
     */
    void edit(ErpBaseMaterialEditParam erpBaseMaterialEditParam);

    /**
     * 删除erp_base_material
     *
     * @author 1
     * @date  2025/02/18 13:54
     */
    void delete(List<ErpBaseMaterialIdParam> erpBaseMaterialIdParamList);

    /**
     * 获取erp_base_material详情
     *
     * @author 1
     * @date  2025/02/18 13:54
     */
    ErpBaseMaterial detail(ErpBaseMaterialIdParam erpBaseMaterialIdParam);

    /**
     * 获取erp_base_material详情
     *
     * @author 1
     * @date  2025/02/18 13:54
     **/
    ErpBaseMaterial queryEntity(Integer id);

    Object getHuan(ErpBaseMaterialEditParam erpBaseMaterialIdParam);
}
