package vip.xiaonuo.warehouse.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 仓库库存变化
 * </p>
 *
 * @author author
 * @since 2024-11-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("warehouse_stock")
public class WarehouseStock implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 原材料
     */
    @ApiModelProperty(value = "原材料", position = 1)
    private String material;

    /**
     * 成品
     */
    @ApiModelProperty(value = "成品", position = 2)
    private String finishProduce;

    /**
     * 半成品
     */
    @ApiModelProperty(value = "半成品", position = 3)
    private String halfProduce;

    /**
     * 低值易耗品
     */
    @ApiModelProperty(value = "低值易耗品", position = 4)
    private String lowValue;

    /**
     * 包材
     */
    @ApiModelProperty(value = "包材", position = 5)
    private String packageMaterial;

    /**
     * 羊毛脂
     */
    @ApiModelProperty(value = "羊毛脂", position = 6)
    private String lanolin;

    /**
     * 鱼油
     */
    @ApiModelProperty(value = "鱼油", position = 7)
    private String fishOil;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 8)
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 9)
    private String orgId;


}
