package vip.xiaonuo.write.controller;


import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.write.param.WriteListPageParam;
import vip.xiaonuo.write.param.WriteUnqualifiedParam;
import vip.xiaonuo.write.service.IWriteListService;

/**
 * <p>
 * 检验记录列表 前端控制器
 * </p>
 *
 * @author author
 * @since 2025-01-07
 */
@RestController
@RequestMapping("/write-list")
@Api(tags = "检验记录列表")
@ApiSupport(author = "wang", order = 1)
@Validated
public class WriteListController {

    @Autowired
    private IWriteListService listService;

    @ApiOperationSupport(order = 1)
    @ApiOperation("检验记录列表分页")
    @PostMapping("/write-list/page")
    public CommonResult page(@RequestBody WriteListPageParam listPageParam) {
        listService.page(listPageParam);
        return CommonResult.ok();
    }
}
